diff -ruN oledrion-2.35_RC1/admin/actions/products.php oledrion-2.35_RC2/admin/actions/products.php
--- oledrion-2.35_RC1/admin/actions/products.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/admin/actions/products.php	2019-12-13 14:50:02.056924390 -0500
@@ -65,10 +65,8 @@
         $start = \Xmf\Request::getInt('start', 0, 'GET');
 
         $filter_product_id = $filter_product_cid = $filter_product_recommended = $filter_product_price = $filter_product_online = 0;
-        // B.R. New
         // TODO: Code Reviewers Are these filters neccessary? Not sure what they do.
         $filter_skip_packing = $filter_skip_location = $filter_skip_delivery = 0;
-        // B.R. End
         $filter_product_title = $filter_product_sku = '';
 
         $newFilter = false;
@@ -116,7 +114,6 @@
             $filter_product_price = \Xmf\Request::getInt('filter_product_price', 0, 'POST');
             $newFilter            = true;
         }
-        // B.R. Added: $filter_skip_packing $filter_skip_location $filter_skip_delivery
         if (0 == $filter_product_id && 0 == $filter_product_cid && 0 == $filter_product_recommended && 0 == $filter_product_price && 0 == $filter_product_online && '' === $filter_product_title && '' === $filter_product_sku && 0 == $filter_skip_packing && 0 == $filter_skip_location
             && 0 == $filter_skip_delivery) {
             $newFilter = true;
@@ -131,11 +128,9 @@
             $filter_product_sku         = $_SESSION['filter_product_sku'];
             $filter_product_online      = $_SESSION['filter_product_online'];
             $filter_product_price       = $_SESSION['filter_product_price'];
-            // B.R. New
             $filter_skip_packing  = $_SESSION['filter_skip_packing'];
             $filter_skip_location = $_SESSION['filter_skip_location'];
             $filter_skip_delivery = $_SESSION['filter_skip_delivery'];
-            // B.R. End
         }
 
         $_SESSION['oledrion_filter']            = serialize($criteria);
@@ -146,11 +141,9 @@
         $_SESSION['filter_product_sku']         = $filter_product_sku;
         $_SESSION['filter_product_online']      = $filter_product_online;
         $_SESSION['filter_product_price']       = $filter_product_price;
-        // B.R. New
         $_SESSION['filter_skip_packing']  = $filter_skip_packing;
         $_SESSION['filter_skip_location'] = $filter_skip_location;
         $_SESSION['filter_skip_delivery'] = $filter_skip_delivery;
-        // B.R. End
 
         $itemsCount = $productsHandler->getCount($criteria); // Recherche du nombre total de produits répondants aux critères
         Oledrion\Utility::htitle(_MI_OLEDRION_ADMENU4 . ' (' . $itemsCount . ')', 4);
@@ -165,11 +158,9 @@
         $selectCateg  = $selectCateg0->render();
 
         $onlineSelect = Oledrion\Utility::htmlSelect('filter_product_online', [2 => _YES, 1 => _NO], $filter_product_online);
-        // B.R. New
         $skipPackingSelect  = Oledrion\Utility::htmlSelect('filter_skip_packing', [2 => _YES, 1 => _NO], $filter_skip_packing);
         $skipLocationSelect = Oledrion\Utility::htmlSelect('filter_skip_location', [2 => _YES, 1 => _NO], $filter_skip_location);
         $skipDeliverySelect = Oledrion\Utility::htmlSelect('filter_skip_delivery', [2 => _YES, 1 => _NO], $filter_skip_delivery);
-        // B.R. End
         $recommendedSelect = Oledrion\Utility::htmlSelect('filter_product_recommended', [1 => _YES, 2 => _NO], $filter_product_recommended);
 
         $criteria->setLimit($limit);
@@ -211,11 +202,9 @@
         echo "<th align='center'>" . $selectCateg . "</th>\n";
         echo "<th align='center'><input type='text' size='25' name='filter_product_sku' id='filter_product_sku' value='$filter_product_sku'></th>\n";
         echo "<th align='center'>" . $onlineSelect . "</th>\n";
-        // B.R. Start
         echo "<th align='center'>" . $skipPackingSelect . "</th>\n";
         echo "<th align='center'>" . $skipLocationSelect . "</th>\n";
         echo "<th align='center'>" . $skipDeliverySelect . "</th>\n";
-        // B.R. End
         echo "<th align='center'>" . $recommendedSelect . "</th>\n";
         echo "<th align='center'>&nbsp;</th>\n";
         echo "<th align='center'><input type='text' size='5' name='filter_product_price' id='filter_product_price' value='$filter_product_price'></th>\n";
@@ -240,11 +229,10 @@
             $actions[] = "<a href='$baseurl?op=products&action=copy&id=" . $id . "' title='" . _OLEDRION_DUPLICATE_PRODUCT . "'>" . $icons['copy'] . '</a>';
             $actions[] = "<a href='$baseurl?op=products&action=confdelete&id=" . $id . "' title='" . _OLEDRION_DELETE . "'>" . $icons['delete'] . '</a>';
             $online    = 1 == $item->getVar('product_online') ? _YES : _NO;
-            // B.R. New
             $skipPacking  = 1 == $item->getVar('skip_packing') ? _YES : _NO;
             $skipLocation = 1 == $item->getVar('skip_location') ? _YES : _NO;
             $skipDelivery = 1 == $item->getVar('skip_delivery') ? _YES : _NO;
-            // B.R. End
+
             echo "<tr class='" . $class . "'>\n";
             if (isset($categories[$item->getVar('product_cid')])) {
                 $productCategory = $categories[$item->getVar('product_cid')]->getVar('cat_title');
@@ -293,7 +281,6 @@
         if (isset($pagenav) && is_object($pagenav)) {
             echo "<div align='right'>" . $pagenav->renderNav() . '</div>';
         }
-        //require_once OLEDRION_ADMIN_PATH . 'admin_footer.php';
 
         break;
     // ****************************************************************************************************************
@@ -359,7 +346,7 @@
             if (empty($id)) {
                 Oledrion\Utility::redirect(_AM_OLEDRION_ERROR_1, $baseurl, 5);
             }
-            // Item exits ?
+            // Item exists ?
             $item = null;
             $item = $productsHandler->get($id);
             if (!is_object($item)) {
@@ -371,11 +358,9 @@
             $title = _AM_OLEDRION_ADD_PRODUCT;
             $item  = $productsHandler->create(true);
             $item->setVar('product_online', 1);
-            // B.R. Start
             $item->setVar('skip_packing', 0);
             $item->setVar('skip_location', 0);
             $item->setVar('skip_delivery', 0);
-            // B.R. End
             if (OLEDRION_AUTO_FILL_MANUAL_DATE) {
                 $item->setVar('product_date', formatTimestamp(time(), 's'));
             }
@@ -387,7 +372,6 @@
         if (0 === count($categories)) {
             Oledrion\Utility::redirect(_AM_OLEDRION_ERROR_8, $baseurl, 5);
         }
-        // TVA
         $vats = $vatsForDisplay = [];
         $vats = $vatHandler->getAllVats(new Oledrion\Parameters());
         if (0 == count($vats) && Oledrion\Utility::getModuleOption('use_price')) {
@@ -420,12 +404,9 @@
 
         $select_categ = $mytree->makeSelectElement('product_cid', 'cat_title', '-', $item->getVar('product_cid'), true, 0, '', _AM_OLEDRION_CATEG_HLP);
         $sform->addElement($select_categ);
-
-        // B.R. New
         $sform->addElement(new \XoopsFormRadioYN(_OLEDRION_SKIP_PACKING, 'skip_packing', $item->getVar('skip_packing')), true);
         $sform->addElement(new \XoopsFormRadioYN(_OLEDRION_SKIP_LOCATION, 'skip_location', $item->getVar('skip_location')), true);
         $sform->addElement(new \XoopsFormRadioYN(_OLEDRION_SKIP_DELIVERY, 'skip_delivery', $item->getVar('skip_delivery')), true);
-        // End New
 
         $deliveryTime = new \XoopsFormText(_OLEDRION_DELIVERY_TIME, 'product_delivery_time', 5, 5, $item->getVar('product_delivery_time', 'e'));
         $deliveryTime->setDescription(_OLEDRION_IN_DAYS);
@@ -544,7 +525,6 @@
         // ********************************************************************
 
         if (Oledrion\Utility::getModuleOption('use_price')) {
-            // TVA ****************************************************************
             $vatSelect = new \XoopsFormSelect(_OLEDRION_VAT, 'product_vat_id', $item->getVar('product_vat_id'));
             $vatSelect->addOptionArray($vatsForDisplay);
             $sform->addElement($vatSelect, true);
@@ -793,10 +773,6 @@
 
             $id = $item->getVar('product_id');
             // Notifications ******************************************************
-            if (true === $add) {
-                //$plugins = Plugin::getInstance();
-                //$plugins->fireAction(Plugin::EVENT_ON_PRODUCT_CREATE, new Oledrion\Parameters(array('product' => $item)));
-            }
             // Gestion des fabricants ************************************************
             if ($edit) {
                 // Suppression préalable
@@ -950,14 +926,13 @@
         if (empty($id)) {
             Oledrion\Utility::redirect(_AM_OLEDRION_ERROR_1, $baseurl, 5);
         }
-        // Item exits ?
+        // Item exists ?
         $item = null;
         $item = $productsHandler->get($id);
         if (!is_object($item)) {
             Oledrion\Utility::redirect(_AM_OLEDRION_NOT_FOUND, $baseurl, 5);
         }
 
-        //        $criteria = new \Criteria(/*'product_id', $item->getVar('product_id'), '<>'*/);
         $criteria = new \Criteria('product_id', $item->getVar('product_id'), '<>');
         $criteria->setSort('product_title');
         $relatedProducts = $productsHandler->getObjects($criteria);
diff -ruN oledrion-2.35_RC1/ajax.php oledrion-2.35_RC2/ajax.php
--- oledrion-2.35_RC1/ajax.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/ajax.php	2019-12-13 14:50:02.144888254 -0500
@@ -353,6 +353,7 @@
             $cmd_lastname  = \Xmf\Request::getString('cmd_lastname', '', 'POST');
             $cmd_firstname = \Xmf\Request::getString('cmd_firstname', '', 'POST');
             $cmd_adress    = \Xmf\Request::getString('cmd_adress', '', 'POST');
+            $cmd_note      = \Xmf\Request::getString('cmd_note', '', 'POST');
             $cmd_zip       = \Xmf\Request::getString('cmd_zip', '', 'POST');
             $cmd_town      = \Xmf\Request::getString('cmd_town', '', 'POST');
             $cmd_country   = \Xmf\Request::getString('cmd_country', '', 'POST');
@@ -405,6 +406,7 @@
                 $commande->setVar('cmd_lastname', $cmd_lastname);
                 $commande->setVar('cmd_firstname', $cmd_firstname);
                 $commande->setVar('cmd_adress', $cmd_adress);
+                $commande->setVar('cmd_note', $cmd_note);
                 $commande->setVar('cmd_zip', $cmd_zip);
                 $commande->setVar('cmd_town', $cmd_town);
                 $commande->setVar('cmd_country', $cmd_country);
@@ -479,6 +481,7 @@
                     $msg['NOM'] = $commande->getVar('cmd_lastname');
                     $msg['PRENOM'] = $commande->getVar('cmd_firstname');
                     $msg['ADRESSE'] = $commande->getVar('cmd_adress', 'n');
+                    $msg['NOTE'] = $commande->getVar('cmd_note', 'n');
                     $msg['CP'] = $commande->getVar('cmd_zip');
                     $msg['VILLE'] = $commande->getVar('cmd_town');
                     $msg['PAYS'] = $countries[$commande->getVar('cmd_country')];
diff -ruN oledrion-2.35_RC1/checkout.php oledrion-2.35_RC2/checkout.php
--- oledrion-2.35_RC1/checkout.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/checkout.php	2019-12-13 14:50:02.011942869 -0500
@@ -32,7 +32,6 @@
 require_once XOOPS_ROOT_PATH . '/class/xoopsformloader.php';
 require_once XOOPS_ROOT_PATH . '/class/xoopslists.php';
 require_once XOOPS_ROOT_PATH . '/class/tree.php';
-// require_once OLEDRION_PATH . 'class/Registryfile.php';
 
 // Get user id
 $uid = Oledrion\Utility::getCurrentUserID();
@@ -67,29 +66,24 @@
 $shippingAmount       = $commandAmount = $vatAmount = $commandAmountTTC = $discountsCount = $commandAmountVAT = 0;
 $goOn                 = '';
 $discountsDescription = [];
-// B.R. New
-$checkoutAttributes = [];
+$checkoutAttributes   = [];
+
 // Assume optional checkout steps skipped (listCart updates)
 $checkoutAttributes['skip_packing']  = 1;
 $checkoutAttributes['skip_location'] = 1;
 $checkoutAttributes['skip_delivery'] = 1;
-// B.R. End
 
 function listCart()
 {
-    // B.R. global $cartForTemplate, $emptyCart, $shippingAmount, $commandAmount, $vatAmount, $goOn, $commandAmountTTC, $discountsDescription;
     global $cartForTemplate, $emptyCart, $shippingAmount, $commandAmount, $vatAmount, $goOn, $commandAmountTTC, $discountsDescription, $checkoutAttributes;
     $reductions = new Oledrion\Reductions();
-    // B.R. $reductions->computeCart($cartForTemplate, $emptyCart, $shippingAmount, $commandAmount, $vatAmount, $goOn, $commandAmountTTC, $discountsDescription, $discountsCount);
     $reductions->computeCart($cartForTemplate, $emptyCart, $shippingAmount, $commandAmount, $vatAmount, $goOn, $commandAmountTTC, $discountsDescription, $discountsCount, $checkoutAttributes);
 }
 
 $oledrionCurrency = Oledrion\Currency::getInstance();
 $countries        = Oledrion\Utility::getCountriesList();
 
-// B.R. New
 listCart();
-// End New
 
 switch ($op) {
     case 'save':
@@ -100,7 +94,6 @@
         if ($caddyHandler->isCartEmpty()) {
             Oledrion\Utility::redirect(_OLEDRION_CART_IS_EMPTY, OLEDRION_URL, 4);
         }
-        // B.R. listCart();
 
         switch ($action) {
             case 'make':
@@ -307,7 +300,7 @@
         if ($caddyHandler->isCartEmpty()) {
             Oledrion\Utility::redirect(_OLEDRION_CART_IS_EMPTY, OLEDRION_URL, 4);
         }
-        // B.R. listCart();
+
         $notFound = true;
         $commande = null;
 
@@ -343,14 +336,13 @@
             $sform->addElement(new \XoopsFormLabel(_OLEDRION_SHIPPING_PRICE, $oledrionCurrency->amountForDisplay($shippingAmount)));
         }
         $sform->addElement(new \XoopsFormText(_OLEDRION_LASTNAME, 'cmd_lastname', 50, 255, $commande->getVar('cmd_lastname', 'e')), true);
-        // B.R. New
         if (0 == $checkoutAttributes['skip_delivery']) {
             // Assume that select delivery implies also need first name, physical address and phone numbers
             $mandatory = true;
         } else {
             $mandatory = false;
         }
-        // B.R. $sform->addElement(new \XoopsFormText(_OLEDRION_FIRSTNAME, 'cmd_firstname', 50, 255, $commande->getVar('cmd_firstname', 'e')), false);
+
         $sform->addElement(new \XoopsFormText(_OLEDRION_FIRSTNAME, 'cmd_firstname', 50, 255, $commande->getVar('cmd_firstname', 'e')), $mandatory);
         if ($uid > 0) {
             $sform->addElement(new \XoopsFormText(_OLEDRION_EMAIL, 'cmd_email', 50, 255, $xoopsUser->getVar('email', 'e')), true);
@@ -367,20 +359,23 @@
             $sform->addElement(new \XoopsFormHidden('cmd_country', OLEDRION_DEFAULT_COUNTRY));
         }
         $sform->addElement(new \XoopsFormText(_OLEDRION_CP, 'cmd_zip', 15, 30, $commande->getVar('cmd_zip', 'e')), true);
-        // B.R. $sform->addElement(new \XoopsFormText(_OLEDRION_MOBILE, 'cmd_mobile', 15, 50, $commande->getVar('cmd_mobile', 'e')), true);
-        // B.R. $sform->addElement(new \XoopsFormText(_OLEDRION_PHONE, 'cmd_telephone', 15, 50, $commande->getVar('cmd_telephone', 'e')), true);
         $sform->addElement(new \XoopsFormText(_OLEDRION_MOBILE, 'cmd_mobile', 15, 50, $commande->getVar('cmd_mobile', 'e')), $mandatory);
         $sform->addElement(new \XoopsFormText(_OLEDRION_PHONE, 'cmd_telephone', 15, 50, $commande->getVar('cmd_telephone', 'e')), $mandatory);
         if (Oledrion\Utility::getModuleOption('ask_vatnumber')) {
             $sform->addElement(new \XoopsFormText(_OLEDRION_VAT_NUMBER, 'cmd_vat_number', 50, 255, $commande->getVar('cmd_vat_number', 'e')), false);
         }
-        if (Oledrion\Utility::getModuleOption('ask_bill')) {
-            // B.R. $sform->addElement(new \XoopsFormRadioYN(_OLEDRION_INVOICE, 'cmd_bill', 0), true);
+        //if (Oledrion\Utility::getModuleOption('ask_bill')) {
+        //    $sform->addElement(new \XoopsFormRadioYN(_OLEDRION_INVOICE, 'cmd_bill', 0), false);
+        //}
+
+        $sform->addElement(new \XoopsFormTextArea(_OLEDRION_STREET, 'cmd_adress', $commande->getVar('cmd_adress', 'e'), 1, 50), $mandatory);
+        $sform->addElement(new \XoopsFormText(_OLEDRION_GIFT, 'cmd_gift', 15, 30, $commande->getVar('cmd_gift', 'e')), false);
+	$sform->addElement(new \XoopsFormTextArea(_OLEDRION_NOTE, 'cmd_note', $commande->getVar('cmd_note', 'e'), 1, 50), false);
+
+	if (Oledrion\Utility::getModuleOption('ask_bill')) {
             $sform->addElement(new \XoopsFormRadioYN(_OLEDRION_INVOICE, 'cmd_bill', 0), false);
         }
-        // B.R. $sform->addElement(new XoopsFormTextArea(_OLEDRION_STREET, 'cmd_adress', $commande->getVar('cmd_adress', 'e'), 3, 50), true);
-        $sform->addElement(new \XoopsFormTextArea(_OLEDRION_STREET, 'cmd_adress', $commande->getVar('cmd_adress', 'e'), 3, 50), $mandatory);
-        $sform->addElement(new \XoopsFormText(_OLEDRION_GIFT, 'cmd_gift', 15, 30, $commande->getVar('cmd_gift', 'e')), false);
+
         $buttonTray = new \XoopsFormElementTray('', '');
         $submit_btn = new \XoopsFormButton('', 'post', _OLEDRION_SAVE_NEXT, 'submit');
         $buttonTray->addElement($submit_btn);
@@ -400,14 +395,11 @@
         // Check checkout level
         if (1 == $checkout_level) {
             Oledrion\Utility::redirect(_OLEDRION_FINAL_CHECKOUT, OLEDRION_URL . 'checkout.php?op=confirm&commend_id=' . $commend_id, 1);
-            // B.R. Start
         } elseif (1 == $checkoutAttributes['skip_packing']) {
             Oledrion\Utility::redirect(_OLEDRION_SELECT_LOCATION, OLEDRION_URL . 'checkout.php?op=location&commend_id=' . $commend_id, 1);
-            // B.R. End
         } elseif (2 == $checkout_level) {
             Oledrion\Utility::redirect(_OLEDRION_SELECT_LOCATION, OLEDRION_URL . 'checkout.php?op=location&commend_id=' . $commend_id, 1);
         }
-        // B.R. listCart();
         $packings = $packingHandler->getPacking();
 
         $sform = new \XoopsThemeForm(_OLEDRION_PACKING_FORM, 'informationfrm', OLEDRION_URL . 'checkout.php', 'post', true);
@@ -440,14 +432,10 @@
         // Check checkout level
         if (1 == $checkout_level) {
             Oledrion\Utility::redirect(_OLEDRION_FINAL_CHECKOUT, OLEDRION_URL . 'checkout.php?op=confirm&commend_id=' . $commend_id, 1);
-            // B.R. Start
         } elseif (1 == $checkoutAttributes['skip_location']) {
-            //$commande = $h_oledrion_commands->get($commend_id);
-            //Oledrion\Utility::redirect(_OLEDRION_SELECT_DELIVERY, OLEDRION_URL . 'checkout.php?op=delivery&commend_id=' . $commande->getVar('cmd_id'), 1);
             Oledrion\Utility::redirect(_OLEDRION_SELECT_DELIVERY, OLEDRION_URL . 'checkout.php?op=delivery&commend_id=' . $commend_id, 1);
-            // B.R. End
         }
-        // B.R. listCart();
+
         switch ($action) {
             case 'default':
 
@@ -503,14 +491,10 @@
         // Check checkout level
         if (1 == $checkout_level) {
             Oledrion\Utility::redirect(_OLEDRION_FINAL_CHECKOUT, OLEDRION_URL . 'checkout.php?op=confirm&commend_id=' . $commend_id, 1);
-            // B.R. Start
         } elseif (1 == $checkoutAttributes['skip_delivery']) {
-            //$commande = $h_oledrion_commands->get($commend_id);
-            //Oledrion\Utility::redirect(_OLEDRION_SELECT_PAYMENT, OLEDRION_URL . 'checkout.php?op=payment&commend_id=' . $commande->getVar('cmd_id'), 1);
             Oledrion\Utility::redirect(_OLEDRION_SELECT_PAYMENT, OLEDRION_URL . 'checkout.php?op=payment&commend_id=' . $commend_id, 1);
-            // B.R. End
         }
-        // B.R. listCart();
+
         $commande    = $commandsHandler->get($commend_id);
         $location_id = $commande->getVar('cmd_location_id');
         $deliveres   = $deliveryHandler->getThisLocationDelivery($location_id);
@@ -546,15 +530,13 @@
         if (1 == $checkout_level) {
             Oledrion\Utility::redirect(_OLEDRION_FINAL_CHECKOUT, OLEDRION_URL . 'checkout.php?op=confirm&commend_id=' . $commend_id, 1);
         }
-        // B.R. listCart();
-        // B.R. Start
+
         $commande = $commandsHandler->get($commend_id);
         if (1 == $checkoutAttributes['skip_delivery']) {
             // Assumes first deliery method is free shipping (else, why skip?)
             // TODO: Consider pre-configuring free shipping as #1
             $delivery_id = 1;
         } else {
-            // B.R. End
             $delivery_id = $commande->getVar('cmd_delivery_id');
         }
         $payments = $paymentHandler->getThisDeliveryPayment($delivery_id);
@@ -589,7 +571,6 @@
         if (0 == $commend_id) {
             Oledrion\Utility::redirect(_OLEDRION_ERROR20, OLEDRION_URL, 4);
         }
-        // B.R. listCart();
 
         $commandAmountTTC += $commandAmountVAT;
 
@@ -612,7 +593,7 @@
 
         // Registering the Cart
         $msgCommande = '';
-        //        $handlers    = HandlerManager::getInstance();
+
         foreach ($cartForTemplate as $line) {
             $panier = $caddyHandler->create(true);
             $panier->setVar('caddy_product_id', $line['product_id']);
@@ -631,7 +612,6 @@
             $msgCommande .= str_pad($line['product_title'], 19, ' ', STR_PAD_LEFT) . ' ';
             $msgCommande .= str_pad($line['product_qty'], 8, ' ', STR_PAD_LEFT) . ' ';
             $msgCommande .= str_pad($oledrionCurrency->amountForDisplay($line['product_price']), 15, ' ', STR_PAD_LEFT) . ' ';
-            //$msgCommande .= str_pad($line['totalPriceFormated'],10,' ', STR_PAD_LEFT) . ' ';
             $msgCommande .= "\n";
             // Attributs
             if ($res && is_array($line['attributes']) && count($line['attributes']) > 0) {
@@ -653,7 +633,6 @@
         }
 
         // General totals
-        //$msgCommande .= "\n\n"._OLEDRION_SHIPPING_PRICE.' '.$oledrionCurrency->amountForDisplay($shippingAmount)."\n";
         $msgCommande .= "\n\n" . _OLEDRION_TOTAL . ' ' . $oledrionCurrency->amountForDisplay($commandAmountTTC) . "\n";
         if (count($discountsDescription) > 0) {
             $msgCommande .= "\n\n" . _OLEDRION_CART4 . "\n";
@@ -667,6 +646,7 @@
         $msg['NOM']          = $commande->getVar('cmd_lastname');
         $msg['PRENOM']       = $commande->getVar('cmd_firstname');
         $msg['ADRESSE']      = $commande->getVar('cmd_adress', 'n');
+        $msg['NOTE']         = $commande->getVar('cmd_note', 'n');
         $msg['CP']           = $commande->getVar('cmd_zip');
         $msg['VILLE']        = $commande->getVar('cmd_town');
         $msg['PAYS']         = $countries[$commande->getVar('cmd_country')];
@@ -680,15 +660,14 @@
             $msg['FACTURE'] = _NO;
         }
         // Send mail to client
-        // B.R. New Rather than sending message before payment approval, save parameters in OLEDRION_UPLOAD_PATH/${cmd_id}_conf_email.serialize
-        // TODO: Make a configuration option?
+        // Rather than sending message before payment approval, save parameters in OLEDRION_UPLOAD_PATH/${cmd_id}_conf_email.parms
+        // TODO: Make a send conf emails before / after payment a configuration option?
         // Then, based on payment approval / disapproval, send email at payment gatewayNotify callback
         $email_name = sprintf('%s/%d%s', OLEDRION_UPLOAD_PATH, $commande->getVar('cmd_id'), OLEDRION_CONFIRMATION_EMAIL_FILENAME_SUFFIX);
         file_put_contents($email_name, serialize($msg));
         //Oledrion\Utility::sendEmailFromTpl('command_client.tpl', $commande->getVar('cmd_email'), sprintf(_OLEDRION_THANKYOU_CMD, $xoopsConfig['sitename']), $msg);
         // Send mail to admin
         //Oledrion\Utility::sendEmailFromTpl('command_shop.tpl', Oledrion\Utility::getEmailsFromGroup(Oledrion\Utility::getModuleOption('grp_sold')), _OLEDRION_NEW_COMMAND, $msg);
-        // End New
 
         // Presentation of the form to send to the payment gateway
         // Final presentation with Cart in hidden variables ******************************
@@ -702,11 +681,8 @@
             $payURL = OLEDRION_URL . 'invoice.php?id=' . $commande->getVar('cmd_id') . '&pass=' . $commande->getVar('cmd_password');
             $sform  = new \XoopsThemeForm(_OLEDRION_FINISH, 'payform', $payURL, 'post', true);
         } else {
-            // B.R. New
             $payment_id = $commande->getVar('cmd_payment_id');
             $payment    = $paymentHandler->get($payment_id);
-            // End new
-            // B.R. if (!isset($payment) || $payment['payment_type'] === 'offline' || $commandAmountTTC == 0) {
             if (0 == $commandAmountTTC || !isset($payment) || 'offline' === $payment->getVar('payment_type')) {
                 $text = $registry->getfile(OLEDRION_TEXTFILE4);
                 $xoopsTpl->append('text', '<br>' . xoops_trim($text));
@@ -714,8 +690,6 @@
                 $sform  = new \XoopsThemeForm(_OLEDRION_FINISH, 'payform', $payURL, 'post', true);
             } else {
                 // Set gateway
-                // B.R. $gateway = \XoopsModules\Oledrion\Gateways::getGatewayObject($payment['payment_gateway']);
-
                 $gatewayName      = \XoopsModules\Oledrion\Gateways::getCurrentGateway();
                 $gatewayClassName = '\XoopsModules\Oledrion\Gateways\\' . $gatewayName . '\\' . $gatewayName . 'Gateway';
                 if (class_exists($gatewayClassName)) {
@@ -751,6 +725,7 @@
         $sform->addElement(new \XoopsFormLabel(_OLEDRION_LASTNAME, $commande->getVar('cmd_lastname')));
         $sform->addElement(new \XoopsFormLabel(_OLEDRION_FIRSTNAME, $commande->getVar('cmd_firstname')));
         $sform->addElement(new \XoopsFormLabel(_OLEDRION_STREET, $commande->getVar('cmd_adress')));
+        $sform->addElement(new \XoopsFormLabel(_OLEDRION_NOTE, $commande->getVar('cmd_note')));
         $sform->addElement(new \XoopsFormLabel(_OLEDRION_CP, $commande->getVar('cmd_zip')));
         $sform->addElement(new \XoopsFormLabel(_OLEDRION_CITY, $commande->getVar('cmd_town')));
         if (Oledrion\Utility::getModuleOption('checkout_country')) {
@@ -783,7 +758,6 @@
             }
         }
         $buttonTray = new \XoopsFormElementTray('', '');
-        //B.R. if (!isset($payment) || $payment['payment_type'] === 'offline' || $commandAmountTTC == 0 || $checkout_level == 1 ) {
         if (0 == $commandAmountTTC || !isset($payment) || 'offline' === $payment->getVar('payment_type') || 1 == $checkout_level) {
             $submit_btn = new \XoopsFormButton('', 'post', _OLEDRION_FINISH, 'submit');
         } else {
diff -ruN oledrion-2.35_RC1/class/CommandsHandler.php oledrion-2.35_RC2/class/CommandsHandler.php
--- oledrion-2.35_RC1/class/CommandsHandler.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/class/CommandsHandler.php	2019-12-13 14:50:02.034933425 -0500
@@ -181,8 +181,6 @@
         $retval = $this->insert($order, true);
         if ($retval) {
             $this->updateStocks($order);
-            // B.R. Validation emails redundant since order emails now sent @gateway (paypal) validation
-            // B.R. $this->notifyOrderValidated($order, $comment);
         }
 
         return $retval;
@@ -406,7 +404,6 @@
     {
         /** @var \XoopsDatabase $db */
         $db = \XoopsDatabaseFactory::getDatabaseConnection();
-        //        $handlers = HandlerManager::getInstance();
         $cmd_id = $order->getVar('cmd_id');
         $res    = $this->delete($order);
         // Suppression des objets associés
diff -ruN oledrion-2.35_RC1/class/Commands.php oledrion-2.35_RC2/class/Commands.php
--- oledrion-2.35_RC1/class/Commands.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/class/Commands.php	2019-12-13 14:50:02.036932603 -0500
@@ -47,6 +47,7 @@
         $this->initVar('cmd_lastname', XOBJ_DTYPE_TXTBOX, null, false);
         $this->initVar('cmd_firstname', XOBJ_DTYPE_TXTBOX, null, false);
         $this->initVar('cmd_adress', XOBJ_DTYPE_OTHER, null, false);
+        $this->initVar('cmd_note', XOBJ_DTYPE_OTHER, null, false);
         $this->initVar('cmd_zip', XOBJ_DTYPE_TXTBOX, null, false);
         $this->initVar('cmd_town', XOBJ_DTYPE_TXTBOX, null, false);
         $this->initVar('cmd_country', XOBJ_DTYPE_TXTBOX, null, false);
diff -ruN oledrion-2.35_RC1/class/Exports/DbaseExport.php oledrion-2.35_RC2/class/Exports/DbaseExport.php
--- oledrion-2.35_RC1/class/Exports/DbaseExport.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/class/Exports/DbaseExport.php	2019-12-13 14:50:02.032934247 -0500
@@ -64,6 +64,7 @@
             ['o_lastname', 'C', 155],
             ['o_firstnam', 'C', 155],
             ['o_adress', 'C', 155],
+            ['o_note', 'C', 155],
             ['o_zip', 'C', 30],
             ['o_town', 'C', 155],
             ['o_country', 'C', 3],
@@ -94,6 +95,7 @@
            * cmd_lastname            o_lastname
            * cmd_firstname           o_firstnam
            * cmd_adress              o_adress
+           * cmd_note                o_note
            * cmd_zip                 o_zip
            * cmd_town                o_town
            * cmd_country             o_country
@@ -148,6 +150,7 @@
                     $order->getVar('cmd_lastname'),
                     $order->getVar('cmd_firstname'),
                     $order->getVar('cmd_adress'),
+                    $order->getVar('cmd_note'),
                     $order->getVar('cmd_zip'),
                     $order->getVar('cmd_town'),
                     $order->getVar('cmd_country'),
